Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class PyDruplet

    java.lang.Object
      org.drupal.project.async_command.Druplet
          org.drupal.project.async_command.PyDruplet

All Implemented Interfaces:
  java.lang.Runnable

    public class PyDruplet

extends Druplet

Nested Class Summary

Nested classes/interfaces inherited from class org.drupal.project.async_command.Druplet
`Druplet.AccessMode, Druplet.RunningMode`

Field Summary

Fields inherited from class org.drupal.project.async_command.Druplet
`acceptableCommandClass, accessMode, config, drupalConnection, drupletConfig, executor, logger`

Constructor Summary
`protected` | `PyDruplet()` anually set DrupalConnection and call initialize() required.
`` | `PyDruplet(DrupalConnection drupalConnection)` Deprecated.
`` | `PyDruplet(DrupletConfig config)`
`` | `PyDruplet(java.util.Properties config)` Deprecated.

Method Summary
`java.lang.String` | `getIdentifier()` Derived function has to override it.
`protected void` | `initialize()`
`protected void` | `registerCommandClassWithIdentifier(java.lang.String identifier, java.lang.Class<? extends AsyncCommand> commandClass)` Has to use a different name for the function because Jython/Python doesn't support function overloading.

Methods inherited from class org.drupal.project.async_command.Druplet
`getConfig, getDrupalConnection, getDrupletConfig, handleException, parseCommand, registerCommandClass, registerCommandClass, run, runOnce, runParallel, runSerial, setDrupalConnection, setRunningMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PyDruplet

    @Deprecated
    public PyDruplet(DrupalConnection drupalConnection)

  Deprecated.

  This calls a function initialize() for other initialization stuff. Jython doesn't support function overloading, so we can only do this.

  Parameters:
    `drupalConnection` - Connection to a Drupal database that has the {async_command} table.

### PyDruplet

    @Deprecated
    public PyDruplet(java.util.Properties config)

  Deprecated.

### PyDruplet

    public PyDruplet(DrupletConfig config)

### PyDruplet

    protected PyDruplet()

  anually set DrupalConnection and call initialize() required.

Method Detail

### initialize

    protected void initialize()

### getIdentifier

    public java.lang.String getIdentifier()

  Derived function has to override it.

  Overrides:
    `getIdentifier` in class `Druplet`
  Returns:
    The identifier of the app.

### registerCommandClassWithIdentifier

    protected void registerCommandClassWithIdentifier(java.lang.String identifier,
                                                      java.lang.Class<? extends AsyncCommand> commandClass)

  Has to use a different name for the function because Jython/Python doesn't support function overloading.

  Parameters:
    `identifier` -
    `commandClass` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD